Package twisted :: Package python :: Module threadable :: Class _XLock

[show private | hide private]
[frames | no frames]

## Class _XLock

Exclusive lock class. The advantage of this over threading.RLock is that it's picklable (kinda...). The goal is to one day not be dependent upon threading, and to have this work for any old 'thread'

Method Summary
| `__init__(self)`
| `__getstate__(self)`
| `__setstate__(self, state)`
| `acquire(self)`
| `release(self)`
| `withThisLocked(self, func, *args, **kw)`

Generated by Epydoc 1.1 on Sat Feb 15 21:19:37 2003 | http://epydoc.sf.net